/*
 * Copyright 2019-2020 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
  kPIN_MUX_DirectionInput = 0U,         /* Input direction */
  kPIN_MUX_DirectionOutput = 1U,        /* Output direction */
  kPIN_MUX_DirectionInputOrOutput = 2U  /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/* GPIO_09 (number 3), LPUART1_RXD */
#define BOARD_LPUART1_RXD_PERIPHERAL                                     LPUART1   /*!< Device name: LPUART1 */
#define BOARD_LPUART1_RXD_SIGNAL                                             RXD   /*!< LPUART1 signal: RXD */

/* GPIO_10 (number 2), LPUART1_XD */
#define BOARD_LPUART1_TXD_PERIPHERAL                                     LPUART1   /*!< Device name: LPUART1 */
#define BOARD_LPUART1_TXD_SIGNAL                                             TXD   /*!< LPUART1 signal: TXD */

/* GPIO_08 (number 4), SAI1_MCLK */
#define BOARD_SAI1_MCLK_PERIPHERAL                                          SAI1   /*!< Device name: SAI1 */
#define BOARD_SAI1_MCLK_SIGNAL                                          sai_mclk   /*!< SAI1 signal: sai_mclk */

/* GPIO_06 (number 6), SAI1_TX_BCLK */
#define BOARD_SAI1_TX_BCLK_PERIPHERAL                                       SAI1   /*!< Device name: SAI1 */
#define BOARD_SAI1_TX_BCLK_SIGNAL                                    sai_tx_bclk   /*!< SAI1 signal: sai_tx_bclk */

/* GPIO_07 (number 5), SAI1_TX_SYNC */
#define BOARD_SAI1_TX_SYNC_PERIPHERAL                                       SAI1   /*!< Device name: SAI1 */
#define BOARD_SAI1_TX_SYNC_SIGNAL                                    sai_tx_sync   /*!< SAI1 signal: sai_tx_sync */

/* GPIO_04 (number 9), SAI1_TXD0 */
#define BOARD_SAI1_TXD0_PERIPHERAL                                          SAI1   /*!< Device name: SAI1 */
#define BOARD_SAI1_TXD0_SIGNAL                                      sai_tx_data0   /*!< SAI1 signal: sai_tx_data0 */

/* GPIO_03 (number 10), SAI1_RXD0 */
#define BOARD_SAI1_RXD0_PERIPHERAL                                          SAI1   /*!< Device name: SAI1 */
#define BOARD_SAI1_RXD0_SIGNAL                                      sai_rx_data0   /*!< SAI1 signal: sai_rx_data0 */

/* GPIO_02 (number 11), I2C1_SCL */
#define BOARD_I2C1_SCL_PERIPHERAL                                         LPI2C1   /*!< Device name: LPI2C1 */
#define BOARD_I2C1_SCL_SIGNAL                                                SCL   /*!< LPI2C1 signal: SCL */

/* GPIO_01 (number 12), I2C1_SDA */
#define BOARD_I2C1_SDA_PERIPHERAL                                         LPI2C1   /*!< Device name: LPI2C1 */
#define BOARD_I2C1_SDA_SIGNAL                                                SDA   /*!< LPI2C1 signal: SDA */

/* GPIO_AD_09 (number 48), ADC12_4/JTAG_TDO/J55[6]/J26[4] */
#define BOARD_ADC12_4_PERIPHERAL                                             ARM   /*!< Device name: ARM */
#define BOARD_ADC12_4_SIGNAL                                       arm_trace_swo   /*!< ARM signal: arm_trace_swo */


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
